{include file='header'}
<script type="text/javascript" src="{@RELATIVE_WCF_DIR}js/ItemListEditor.class.js"></script>
<script type="text/javascript">
	//<![CDATA[
	function init() {
		{if $ruleItems|count > 0 && $this->user->getPermission('admin.rule.canEditItem')}
			new ItemListEditor('ruleList', { itemTitleEdit: true, itemTitleEditURL: 'index.php?action=RuleItemRename&ruleItemID=', tree: true, treeTag: 'ol' });
		{/if}
	}
	
	// when the dom is fully loaded, execute these scripts
	document.observe("dom:loaded", init);
	
	//]]>
</script>

<div class="mainHeadline">
	<img src="{@RELATIVE_WCF_DIR}icon/termsOfUseL.png" alt="" />
	<div class="headlineContainer">
		<h2>{lang}wcf.acp.ruleItem.view{/lang}</h2>
	</div>
</div>

{if $applications > 1 && $rulesetOptionList|count > 1}
	<div class="border content">
		<div class="container-1">
			<fieldset>
				<legend>{lang}wcf.acp.ruleset.list{/lang}</legend>
				<div class="formElement">
					<div class="formFieldLabel">
						<label for="rulesetID">{lang}wcf.acp.ruleset.list{/lang}</label>
					</div>
					<div class="formField">
						<select name="rulesetID" id="rulesetID" onchange="document.location.href=fixURL('index.php?page=RuleItemList&amp;rulesetID='+this.options[this.selectedIndex].value+'&amp;packageID={@PACKAGE_ID}{@SID_ARG_2ND}')">
							{htmlOptions options=$rulesetOptionList selected=$ruleset->rulesetID}
						</select>
					</div>
				</div>
			</fieldset>
		</div>
	</div>
{/if}

{if $deletedRuleItemID}
	<p class="success">{lang}wcf.acp.ruleItem.delete.success{/lang}</p>
{/if}

{if $successfullSorting}
	<p class="success">{lang}wcf.acp.ruleItem.sort.success{/lang}</p>
{/if}

{if $deletedAgreements}
	<p class="success">{lang}wcf.acp.ruleset.clearAgreements{/lang}</p>
{/if}

<div class="contentHeader">
	<div class="largeButtons">
		<ul>
			{if $this->user->getPermission('admin.rule.canAddItem')}<li><a href="index.php?form=RuleItemAdd&amp;rulesetID={@$ruleset->rulesetID}&amp;packageID={@PACKAGE_ID}{@SID_ARG_2ND}" title="{lang}wcf.acp.menu.link.ruleItem.add{/lang}"><img src="{@RELATIVE_WCF_DIR}icon/termsOfUseItemAddM.png" alt="" /> <span>{lang}wcf.acp.menu.link.ruleItem.add{/lang}</span></a></li>{/if}
			{if $this->user->getPermission('admin.rule.canEditItem')}<li><a onclick="return confirm('{lang}wcf.acp.ruleset.clear.agreements.sure{/lang}')" href="index.php?action=RuleDeleteAgreements&amp;rulesetID={@$ruleset->rulesetID}&amp;packageID={@PACKAGE_ID}{@SID_ARG_2ND}"><img src="{@RELATIVE_WCF_DIR}icon/termsOfUseClearM.png" alt="" /> <span>{lang}wcf.acp.ruleset.clear.agreements{/lang}</span></a></li>{/if}
			{if $applications > 1}{if $this->user->getPermission('admin.rule.ruleset.canEdit') || $this->user->getPermission('admin.rule.ruleset.canAdd')}<li><a href="index.php?form=Ruleset&amp;packageID={@PACKAGE_ID}{@SID_ARG_2ND}"><img src="{@RELATIVE_WCF_DIR}icon/termsOfUseItemAddM.png" alt="" /> <span>{lang}wcf.acp.ruleset.settings{/lang}</span></a></li>{/if}{/if}
		</ul>
	</div>
</div>

{if $ruleItems|count > 0}
	<form method="post" action="index.php?action=RuleItemSort">
		<div class="border content">
			<div class="container-1">
				<ol class="itemList" id="ruleList">
					{foreach from=$ruleItems item=child}
						{* define *}
						{assign var="ruleItem" value=$child.ruleItem}
						
						<li id="item_{@$ruleItem->ruleItemID}">
							
							<div class="buttons">
								{if $this->user->getPermission('admin.rule.canEditItem')}
									<a href="index.php?form=RuleItemEdit&amp;ruleItemID={@$ruleItem->ruleItemID}&amp;rulesetID={@$ruleset->rulesetID}&amp;packageID={@PACKAGE_ID}{@SID_ARG_2ND}" title="{lang}wcf.acp.ruleItem.edit{/lang}"><img src="{@RELATIVE_WCF_DIR}icon/editS.png" alt="" /></a>
								{else}
									<img src="{@RELATIVE_WCF_DIR}icon/editDisabledS.png" alt="" title="{lang}wcf.acp.ruleItem.editDisabled{/lang}" />
								{/if}
								
								{if $this->user->getPermission('admin.rule.canDeleteItem')}
									<a onclick="return confirm('{lang}wcf.acp.ruleItem.delete.sure{/lang}')" href="index.php?action=RuleItemDelete&amp;ruleItemID={@$ruleItem->ruleItemID}&amp;rulesetID={@$ruleset->rulesetID}&amp;packageID={@PACKAGE_ID}{@SID_ARG_2ND}" title="{lang}wcf.acp.ruleItem.delete{/lang}"><img src="{@RELATIVE_WCF_DIR}icon/deleteS.png" alt="" /></a>
								{else}
									<img src="{@RELATIVE_WCF_DIR}icon/deleteDisabledS.png" alt="" title="{lang}wcf.acp.ruleItem.deleteDisabled{/lang}" />
								{/if}
								
								{if $child.additionalButtons|isset}{@$child.additionalButtons}{/if}
							</div>
							
							<h3 class="itemListTitle">
								
								{if $this->user->getPermission('admin.rule.canEditItem')}
									<select name="ruleListPositions[{@$ruleItem->ruleItemID}][{@$ruleItem->parentRuleItemID}]">
										{section name='positions' loop=$child.maxPosition}
											<option value="{@$positions+1}"{if $positions+1 == $child.position} selected="selected"{/if}>{@$positions+1}</option>
										{/section}
									</select>
								{/if}
								
								ID-{@$ruleItem->ruleItemID} <a href="index.php?form=RuleItemEdit&amp;ruleItemID={@$ruleItem->ruleItemID}&amp;packageID={@PACKAGE_ID}{@SID_ARG_2ND}" class="title">{lang}wcf.rules.item.{$ruleItem->ruleItem}{/lang}</a>
							</h3>
							
						{if $child.hasChildren}<ol id="parentItem_{@$ruleItem->ruleItemID}">{else}<ol id="parentItem_{@$ruleItem->ruleItemID}"></ol></li>{/if}
						{if $child.openParents > 0}{@"</ol></li>"|str_repeat:$child.openParents}{/if}
					{/foreach}
				</ol>
			</div>
		</div>
		
		{if $this->user->getPermission('admin.rule.canEditItem')}
			<div class="formSubmit">
				<input type="submit" accesskey="s" value="{lang}wcf.global.button.submit{/lang}" />
				<input type="reset" id="reset" accesskey="r" value="{lang}wcf.global.button.reset{/lang}" />
				<input type="hidden" name="packageID" value="{@PACKAGE_ID}" />
				<input type="hidden" name="rulesetID" value="{@$ruleset->rulesetID}" />
				{@SID_INPUT_TAG}
			</div>
		{/if}
	</form>
{else}
	<div class="border content">
		<div class="container-1">
			<p>{lang}wcf.acp.ruleset.list.count.noEntries{/lang}</p>
		</div>
	</div>
{/if}

{include file='footer'}