{assign var="rules" value=$ruleList->getRules()}
<div class="border content">
	<div class="container-1">
		{if $rules|count > 1}
			<ol>
				{foreach from=$rules item=rule}
					<li>
					{assign var="item" value=$rule['ruleItem']}
					{if $rule['depth'] > 3}<h6>{else}<h{@$rule['depth'] + 2}{if $rule['depth'] == 1} class="subHeadline"{/if}>{/if}
						{lang}wcf.rules.item.{@$item->ruleItem}{/lang}
					{if $rule['depth'] > 3}</h6>{else}</h{@$rule['depth'] + 2}>{/if}

					{lang}wcf.rules.item.{@$item->ruleItem}.description{/lang}
					{if $rule['hasChildren']}<ol>{else}</li>{/if}
					{if $rule['openParents'] > 0}{@"</ol></li>"|str_repeat:$rule['openParents']}{/if}
				{/foreach}
			</ol>
		{elseif $rules|count == 1}
			{assign var="item" value=$rules[0]['ruleItem']}
			<h3 class="subHeadline">{lang}wcf.rules.item.{@$item->ruleItem}{/lang}</h3>
			{lang}wcf.rules.item.{@$item->ruleItem}.description{/lang}
		{else}
			{lang}wcf.user.register.disclaimer{/lang}
		{/if}
		{if $templateName == 'rulesAgree' || $templateName == 'rulesRegister'}
			<div class="buttonBar">
				<div class="formElement {if $errorField|isset && $errorField == 'rulesAgree'} formError{/if}">
					<div class="formField">
						<label><input name="rulesAgree" value="1" type="checkbox"> {lang}wcf.rules.agree{/lang}</label>
						{if $errorField|isset && $errorField == 'rulesAgree'}
							<p class="innerError">
								{lang}wcf.rules.agree.error{/lang}
							</p>
						{/if}
					</div>
				</div>
			</div>
		{/if}
	</div>
</div>