<?php
// wcf imports
require_once(WCF_DIR.'lib/page/RulesPage.class.php');
require_once(WCF_DIR.'lib/data/rule/Ruleset.class.php');

/**
 * Show the term of use.
 *
 * @author 	Karsten Achterrath
 * @copyright	2001-2009 WoltLab GmbH
 * @license	WoltLab Burning Board License <http://www.woltlab.com/products/burning_board/license.php>
 * @package	com.woltlab.wcf.termsOfUse
 * @subpackage	page
 * @category 	Community Framework (commercial)
 */
class RulesRegisterPage extends RulesPage {
	public $templateName = 'rulesRegister';
	
	/**
	 * @see Page::readData()
	 */
	public function readData() {
		parent::readData();
		
		// set rulesAreAgree to zero!
		WCF::getSession()->register('rulesAreAgree', null);
	}
}
?>