{include file='header'}

<div class="mainHeadline">
	<img src="{@RELATIVE_WCF_DIR}icon/termsOfUseItem{@$action|ucfirst}L.png" alt="" />
	<div class="headlineContainer">
		<h2>{lang}wcf.acp.ruleItem.{@$action}{/lang}</h2>
	</div>
</div>

{if $errorField}
	<p class="error">{lang}wcf.global.form.error{/lang}</p>
{/if}

{if $success|isset}
	<p class="success">{lang}wcf.acp.ruleItem.{@$action}.success{/lang}</p>	
{/if}

<div class="contentHeader">
	<div class="largeButtons">
		<ul><li><a href="index.php?page=ruleItemList&amp;rulesetID={@$ruleset->rulesetID}&amp;packageID={@PACKAGE_ID}{@SID_ARG_2ND}" title="{lang}wcf.acp.menu.link.ruleItem.view{/lang}"><img src="{@RELATIVE_WCF_DIR}icon/termsOfUseM.png" alt="" /> <span>{lang}wcf.acp.menu.link.ruleItem.view{/lang}</span></a></li></ul>
	</div>
</div>

<form method="post" action="index.php?form=RuleItem{@$action|ucfirst}">
	<div class="border content">
		<div class="container-1">
			<fieldset>
				<legend>{lang}wcf.acp.ruleItem.classification{/lang}</legend>	
				
				{if $items|count > 0}			
					<div class="formElement" id="parentItemDiv">
						<div class="formFieldLabel">
							<label for="parentItem">{lang}wcf.acp.ruleItem.parentRuleItem{/lang}</label>
						</div>
						<div class="formField">
							<select name="parentItem" id="parentItem">
								<option value=""></option>
								{htmlOptions options=$items selected=$parentItem disableEncoding=true}
							</select>
						</div>
					</div>
				{/if}
								
				<div class="formElement" id="showOrderDiv">
					<div class="formFieldLabel">
						<label for="showOrder">{lang}wcf.acp.ruleItem.showOrder{/lang}</label>
					</div>
					<div class="formField">
						<input type="text" class="inputText" id="showOrder" name="showOrder" value="{$showOrder}" />
					</div>
				</div>
			</fieldset>
			
			<fieldset>
				<legend>{lang}wcf.acp.ruleItem.data{/lang}</legend>
				
				{if $action == 'edit'}
					<div class="formElement" id="languageIDDiv">
						<div class="formFieldLabel">
							<label for="languageID">{lang}wcf.user.language{/lang}</label>
						</div>
						<div class="formField">
							<select name="languageID" id="languageID"  onchange="location.href='index.php?form=RuleItemEdit&amp;ruleItemID={@$ruleItemID}&amp;languageID=' + this.value + '&amp;packageID={@PACKAGE_ID}{@SID_ARG_2ND}'">
								{foreach from=$languages key=key item=language}
									<option value="{@$key}"{if $key == $languageID} selected="selected"{/if}>
										{lang}wcf.global.language.{@$language}{/lang}
									</option>
								{/foreach}						
							</select>
						</div>
					</div>
				{/if}
				
				<div class="formElement{if $errorField == 'topic'} formError{/if}" id="topicDiv">
					<div class="formFieldLabel">
						<label for="topic">{lang}wcf.acp.ruleItem.topic{/lang}</label>
					</div>
					<div class="formField">
						<input type="text" class="inputText" id="topic" name="topic" value="{$topic}" />
						{if $errorField == 'topic'}
							<p class="innerError">
								{if $errorType == 'empty'}{lang}wcf.global.error.empty{/lang}{/if}
							</p>
						{/if}
					</div>
				</div>
							
				<div class="formElement{if $errorField == 'text'} formError{/if}" id="textDiv">
					<div class="formFieldLabel">
						<label for="text">{lang}wcf.acp.ruleItem.text{/lang}</label>
					</div>
					<div class="formField">
						<textarea name="text" id="text" rows="20" cols="40">{$text}</textarea>
						{if $errorField == 'text'}
							<p class="innerError">
								{if $errorType == 'empty'}{lang}wcf.global.error.empty{/lang}{/if}
							</p>
						{/if}
					</div>
				</div>
			</fieldset>
						
			{if $additionalFields|isset}{@$additionalFields}{/if}
		</div>
	</div>

	<div class="formSubmit">
		<input type="submit" accesskey="s" value="{lang}wcf.global.button.submit{/lang}" />
		<input type="reset" accesskey="r" value="{lang}wcf.global.button.reset{/lang}" />
		<input type="hidden" name="packageID" value="{@PACKAGE_ID}" />
		{if $ruleItemID|isset}<input type="hidden" name="ruleItemID" value="{@$ruleItemID}" />{/if}
		<input type="hidden" name="rulesetID" value="{@$ruleset->rulesetID}" />
		{@SID_INPUT_TAG}
 	</div>
</form>

{include file='footer'}