{include file="documentHeader"}
<head>
	<title>{lang}wcf.rules.title{/lang} - {lang}{PAGE_TITLE}{/lang}</title>
	{capture append=specialStyles}
		<link rel="stylesheet" type="text/css" media="screen" href="{@RELATIVE_WCF_DIR}style/extra/rules{if PAGE_DIRECTION == 'rtl'}-rtl{/if}.css" />
	{/capture}
	{include file='headInclude' sandbox=false}
</head>
<body{if $templateName|isset} id="tpl{$templateName|ucfirst}"{/if}>
{include file='header' sandbox=false}

<div id="main" class="rules">

	<ul class="breadCrumbs">
		<li><a href="index.php?page=Index{@SID_ARG_2ND}"><img src="{icon}indexS.png{/icon}" alt="" /> <span>{lang}{PAGE_TITLE}{/lang}</span></a> &raquo;</li>
	</ul>
	
	<div class="mainHeadline">
		<img src="{icon}registerL.png{/icon}" alt="" />
		<div class="headlineContainer">
			<h2>{lang}wcf.rules.title{/lang}</h2>
		</div>
	</div>
	
	{if $userMessages|isset}{@$userMessages}{/if}
	
	{if $errorField|isset}
		<p class="error">{lang}wcf.global.form.error{/lang}</p>
	{/if}
	
	<form method="get" action="index.php">
		{include file='rulesList'}
		
		{if $additionalFields|isset}{@$additionalFields}{/if}

		<div class="formSubmit">
			<input type="submit" accesskey="a" value="{lang}wcf.rules.button.agree{/lang}" />
			<input type="submit" name="decline" accesskey="d" value="{lang}wcf.rules.button.decline{/lang}" />
		</div>
	
		<input type="hidden" name="page" value="Register" />
		<input type="hidden" name="action" value="register" />
		{@SID_INPUT_TAG}
	</form>

</div>

{include file='footer' sandbox=false}
</body>
</html>