{include file='header'}

<div class="mainHeadline">
	<img src="{@RELATIVE_WCF_DIR}icon/termsOfUseL.png" alt="" />
	<div class="headlineContainer">
		<h2>{lang}wcf.acp.ruleset.settings{/lang}</h2>
	</div>
</div>

<div class="contentHeader">
	<div class="largeButtons">
		<ul><li><a href="index.php?page=RuleItemList&amp;packageID={@PACKAGE_ID}{@SID_ARG_2ND}" title="{lang}wcf.acp.menu.link.ruleItem.view{/lang}"><img src="{@RELATIVE_WCF_DIR}icon/termsOfUseItemM.png" alt="" /> <span>{lang}wcf.acp.menu.link.ruleItem.view{/lang}</span></a></li></ul>
	</div>
</div>

<!-- editblock -->
{if $this->user->getPermission('admin.rule.ruleset.canEdit')}
	{if $errorField == 'editRuleset'}<p class="error">{lang}wcf.acp.ruleset.edit.error{/lang}</p>{/if}
	
	<form method="post" action="index.php?form=Ruleset">
		<div class="border content">
			<div class="container-1">
				<div class="formGroup">
					<div class="formGroupLabel">
						<label>{lang}wcf.acp.ruleset.edit{/lang}</label>
					</div>
					<div class="formGroupField">
						<fieldset>
							<legend>{lang}wcf.acp.ruleset.edit{/lang}</legend>
							{foreach from=$rulesetEditList item=item}
								<div class="floatContainer">
									<div class="floatedElementButtons">
										<a href="index.php?action=RulesetDelete&amp;rulesetID={@$item->rulesetID}&amp;packageID={@PACKAGE_ID}{@SID_ARG_2ND}" onclick="return confirm('{lang}wcf.acp.ruleset.delete.sure{/lang}')" title="{lang}wcf.acp.ruleset.delete{/lang}"><img src="{@RELATIVE_WCF_DIR}icon/deleteS.png" alt="{lang}wcf.acp.ruleset.delete{/lang}" /></a>
									</div>
									<div class="floatedElement{if $errorField == 'editRuleset' && $errorFields[$item->rulesetID]|isset} formError{/if}">
										<input type="text" class="inputText" id="editRuleset[{$item->rulesetID}]" name="editRuleset[{$item->rulesetID}]" value="{if $editRuleset[$item->rulesetID]|isset}{$editRuleset[$item->rulesetID]}{else}{$item->name}{/if}" />
									</div>
								</div>
								{if $errorFields|isset && $errorFields[$item->rulesetID]|isset && $errorField == 'editRuleset'}
									{if $errorFields[$item->rulesetID] == 'empty'}<p class="innerError">{lang}wcf.global.error.empty{/lang}</p>{/if}
									{if $errorFields[$item->rulesetID] == 'notUnique'}<p class="innerError">{lang}wcf.acp.ruleset.name.notUnique{/lang}{/if}</p>
								{/if}
							{/foreach}
						</fieldset>
					</div>
				</div>
			</div>
		</div>
	
		<div class="formSubmit">
			<input type="submit" accesskey="s" value="{lang}wcf.global.button.submit{/lang}" />
			<input type="reset" accesskey="r" value="{lang}wcf.global.button.reset{/lang}" />
			<input type="hidden" name="packageID" value="{@PACKAGE_ID}" />
			<input type="hidden" name="method" value="edit" />
			{@SID_INPUT_TAG}
	 	</div>
	</form>
{/if}
<!-- /editblock -->

<!-- addblock -->
{if $this->user->getPermission('admin.rule.ruleset.canEdit')}
	{if $errorField == 'name'}<p class="error">{lang}wcf.acp.ruleset.add.error{/lang}</p>{/if}
	<form method="post" action="index.php?form=Ruleset">
		<div class="border content">
			<div class="container-1">
				<div class="formGroup{if $errorField == 'name'} formError{/if}">
					<div class="formGroupLabel">
						<label for="name">{lang}wcf.acp.ruleset.add{/lang}</label>
					</div>
					<div class="formGroupField">
						<fieldset>
							<legend>{lang}wcf.acp.ruleset.add{/lang}</legend>
							<div class="floatContainer">
								<div class="floatedElement{if $errorField == 'name'} formError{/if}">
									<input type="text" class="inputText" id="name" name="name" value="{$name}" />
								</div>
							</div>
							{if $errorField == 'name'}
								{if $errorType == 'empty'}<p class="innerError">{lang}wcf.global.error.empty{/lang}</p>{/if}
								{if $errorType == 'notUnique'}<p class="innerError">{lang}wcf.acp.ruleset.name.notUnique{/lang}{/if}</p>
							{/if}
						</fieldset>
					</div>
				</div>
			</div>
		</div>
	
		<div class="formSubmit">
			<input type="submit" accesskey="s" value="{lang}wcf.global.button.submit{/lang}" />
			<input type="reset" accesskey="r" value="{lang}wcf.global.button.reset{/lang}" />
			<input type="hidden" name="packageID" value="{@PACKAGE_ID}" />
			<input type="hidden" name="method" value="add" /> 
			{@SID_INPUT_TAG}
	 	</div>
	</form>
{/if}
<!-- /addblock -->

<!-- makeActiveBlock -->
{if $this->user->getPermission('admin.rule.ruleset.canEdit') && $applicationList|count > 0 && $rulesetOptionList|count > 1}
	<form method="post" action="index.php?form=Ruleset">
		<div class="border content">
			<div class="container-1">
				{foreach from=$applicationList item=application}
				<div class="formElement" id="makeActiveDiv">
					<div class="formFieldLabel">
						<label for="makeActive[{@$application['packageID']}]">{$application['package']}</label>
					</div>
					<div class="formField">
						<select name="makeActive[{@$application['packageID']}]" id="makeActive[{@$application['packageID']}]">
							{htmlOptions options=$rulesetOptionList selected=$application['rulesetID'] disableEncoding=true}
						</select>
					</div>
				</div>
				{/foreach}
			</div>
		</div>
	
		<div class="formSubmit">
			<input type="submit" accesskey="s" value="{lang}wcf.global.button.submit{/lang}" />
			<input type="reset" accesskey="r" value="{lang}wcf.global.button.reset{/lang}" />
			<input type="hidden" name="packageID" value="{@PACKAGE_ID}" />
			<input type="hidden" name="method" value="active" />
			{@SID_INPUT_TAG}
	 	</div>
	</form>
{/if}
<!-- /makeActiveBlock -->

{include file='footer'}